CreateBinMatrixDialog Class Reference

2D Binning matrix dialog More...

`#include <CreateBinMatrixDialog.h>`

Inheritance diagram for CreateBinMatrixDialog:

## Public Slots

void | accept ()

## Signals

void | options (const QString &)

## Public Member Functions

| CreateBinMatrixDialog (Table *t, int startRow, int endRow, QWidget *parent=0, Qt::WFlags fl=0)

## Private Attributes

QPushButton * | buttonCancel
QPushButton * | buttonOk
QSpinBox * | colsBox
int | d_end_row
int | d_start_row
Table * | d_table
int | d_x_col
int | d_y_col
QSpinBox * | rowsBox
DoubleSpinBox * | xMaxBox
DoubleSpinBox * | xMinBox
DoubleSpinBox * | yMaxBox
DoubleSpinBox * | yMinBox

## Detailed Description

2D Binning matrix dialog

## Constructor & Destructor Documentation

## CreateBinMatrixDialog()

CreateBinMatrixDialog::CreateBinMatrixDialog | ( | Table * | t,
|  | int | startRow,
|  | int | endRow,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), buttonCancel, buttonOk, Table::colIndex(), colsBox, Table::columnRange(), Table::colX(), d_table, d_x_col, d_y_col, rowsBox, Table::selectedYColumns(), DoubleSpinBox::setValue(), xMaxBox, xMinBox, yMaxBox, and yMinBox.

## Member Function Documentation

## accept

void CreateBinMatrixDialog::accept | ( |  | ) |

slot

References MdiSubWindow::askOnCloseEvent(), colsBox, d_end_row, d_start_row, d_table, d_x_col, d_y_col, ApplicationWindow::memoryAllocationError(), Matrix::numCols(), Matrix::numRows(), rowsBox, Matrix::setCell(), Matrix::setCoordinates(), Table::text(), DoubleSpinBox::value(), xMaxBox, xMinBox, yMaxBox, and yMinBox.

Referenced by CreateBinMatrixDialog().

## options

void CreateBinMatrixDialog::options | ( | const QString & |  | ) |

signal

## Member Data Documentation

## buttonCancel

QPushButton* CreateBinMatrixDialog::buttonCancel

private

Referenced by CreateBinMatrixDialog().

## buttonOk

QPushButton* CreateBinMatrixDialog::buttonOk

private

Referenced by CreateBinMatrixDialog().

## colsBox

QSpinBox * CreateBinMatrixDialog::colsBox

private

Referenced by accept(), and CreateBinMatrixDialog().

## d_end_row

int CreateBinMatrixDialog::d_end_row

private

Referenced by accept().

## d_start_row

int CreateBinMatrixDialog::d_start_row

private

Referenced by accept().

## d_table

Table* CreateBinMatrixDialog::d_table

private

Referenced by accept(), and CreateBinMatrixDialog().

## d_x_col

int CreateBinMatrixDialog::d_x_col

private

Referenced by accept(), and CreateBinMatrixDialog().

## d_y_col

int CreateBinMatrixDialog::d_y_col

private

Referenced by accept(), and CreateBinMatrixDialog().

## rowsBox

QSpinBox* CreateBinMatrixDialog::rowsBox

private

Referenced by accept(), and CreateBinMatrixDialog().

## xMaxBox

DoubleSpinBox * CreateBinMatrixDialog::xMaxBox

private

Referenced by accept(), and CreateBinMatrixDialog().

## xMinBox

DoubleSpinBox* CreateBinMatrixDialog::xMinBox

private

Referenced by accept(), and CreateBinMatrixDialog().

## yMaxBox

DoubleSpinBox * CreateBinMatrixDialog::yMaxBox

private

Referenced by accept(), and CreateBinMatrixDialog().

## yMinBox

DoubleSpinBox * CreateBinMatrixDialog::yMinBox

private

Referenced by accept(), and CreateBinMatrixDialog().

The documentation for this class was generated from the following files:

- qtiplot/src/core/CreateBinMatrixDialog.h
- qtiplot/src/core/CreateBinMatrixDialog.cpp